package me.hammerle.snuviengine.api;

import org.lwjgl.opengl.GL15;
import org.lwjgl.opengl.GL30;

public final class GLHelper {
    private static int currentVertextArray = -1;
    private static int currentVertexBuffer = -1;

    protected static void glBindVertexArray(int vao) {
        if(vao != currentVertextArray) {
            currentVertextArray = vao;
            GL30.glBindVertexArray(vao);
        }
    }

    protected static void glBindBuffer(int vbo) {
        if(vbo != currentVertexBuffer) {
            currentVertexBuffer = vbo;
            GL15.glBindBuffer(GL15.GL_ARRAY_BUFFER, vbo);
        }
    }
}
