package me.hammerle.snuviengine.api;

public interface Game {
    public default void onCompleteInitialization(Stats stats, Keys keys, Gamepad gamepad) {
    }

    public void tick();

    public void renderTick(Renderer r, float lag);

    public default boolean isRunning() {
        return true;
    }

    public void onStop();
}
