package me.hammerle.snuviengine.api;

public class LazyWindowView implements WindowView {
    private final int scale;
    private final int fontScale;

    public LazyWindowView(int scale, int fontScale) {
        this.scale = scale;
        this.fontScale = fontScale;
    }

    @Override
    public int getScale(int width, int height) {
        return scale;
    }

    @Override
    public int getFontScale(int width, int height) {
        return fontScale;
    }
}
