package me.hammerle.snuviengine.util;

public class Color {
    public static int get(int r, int g, int b, int a) {
        return (r & 0xFF) | ((g & 0xFF) << 8) | ((b & 0xFF) << 16) | ((a & 0xFF) << 24);
    }

    public static int get(float r, float g, float b, float a) {
        return get((int) r, (int) g, (int) b, (int) a);
    }

    public static int darken(int rgba, float factor) {
        return ((int) ((rgba & 0xFF) * factor) & 0xFF)
                | (((int) (((rgba >> 8) & 0xFF) * factor) & 0xFF) << 8)
                | (((int) (((rgba >> 16) & 0xFF) * factor) & 0xFF) << 16)
                | (rgba & 0xFF000000);
    }

    public static int get(int r, int g, int b) {
        return get(r, g, b, 255);
    }
}
