package me.hammerle.snuviengine.api;

public class Stats {
    private final Timer framesPerSecond = new Timer();
    private final Timer ticksPerSecond = new Timer();

    protected void updateFramesPerSecond() {
        framesPerSecond.update();
    }

    public double getFramesPerSecond() {
        return framesPerSecond.getCallPerSecond();
    }

    protected void updateTicksPerSecond() {
        ticksPerSecond.update();
    }

    public double getTicksPerSecond() {
        return ticksPerSecond.getCallPerSecond();
    }
}
